Subject: [spring] FW: New Version Notification for draft-vandevelde-spring-flow-aware-v6transport-00.txt

From: "Van De Velde, Gunter (Nokia - BE)" <[email-masked]>
Date: Thu, 9 Mar 2017 16:17:46 +0000

As usual, feedback welcome.

G/

On 09/03/2017, 16:58, "[email-masked]" <[email-masked]> wrote:

    A new version of I-D, draft-vandevelde-spring-flow-aware-v6transport-00.txt
    has been successfully submitted by Gunter Van de Velde and posted to the
    IETF repository.
    
    Name:		draft-vandevelde-spring-flow-aware-v6transport
    Revision:	00
    Title:		Flow Aware IPv6 Segment Routing
    Document date:	2017-03-09
    Group:		Individual Submission
    Pages:		6
    URL:            https://www.ietf.org/internet-drafts/draft-vandevelde-spring-flow-aware-v6transport-00.txt
    Status:         https://datatracker.ietf.org/doc/draft-vandevelde-spring-flow-aware-v6transport/
    Htmlized:       https://tools.ietf.org/html/draft-vandevelde-spring-flow-aware-v6transport-00

    Abstract:
       Flow-Aware transport of Pseudowires over an MPLS Packet Switched
       Network (RFC6391) introduces an ECMP use-case, making assumption that
       the payload of a pseudowire comprises of a number of distinct flows.
       RFC6391 provides a mechanism for fine flow granularity beyond the
       individual pseudowire, helping better flow granularity for ECMP
       purpose.  To identify the granular pseudowire flows the concept of
       MPLS Flow Label is introduced.  Furthermore RFC6391 defines the
       required LDP protocol extensions to exchange the MPLS Flow Label
       between LDP speakers.
    
       Another method to exchange MPLS flow labels is found in draft-ietf-
       bess-fat-pw-bgp.  Draft-ietf-bess-fat-pw-bgp defines extensions
       required to synchronise flow label state between PEs using BGP-based
       signalling procedures.  This draft assumes MPLS is the transport
       technology used.
    
       This draft extends the applicability of draft-ietf-bess-fat-pw-bgp
       and uses the BGP derived flow label for IPv6 Segment Routing
       transport.  The PE responsible for imposing the IPv6 Segment Routing
       top level header will in addition to an IPv6 header AND the IPv6
       Source Routing header ALSO impose the BGP derived Flow Label as the
       IPv6 outer header flow Label.  This functionality will provide fine
       ECMP granularity of IPv6 Segment routing enabled pseudowire transport
       services.

    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat